Update one additional driver
PUT/api/users/:userId/drivers/:driverId
Requires admin token. Only the fields sent are changed. Send an empty string to clear an optional field.
Request
Path Parameters
- application/json
Body
required
Possible values: <= 100 characters
Driver's middle name.
Date of birth as yyyy-MM-dd.
Possible values: <= 100 characters
Gender, free text (e.g. Male, Female, Non-binary).
Possible values: <= 100 characters
Marital status, free text (e.g. Single, Married).
Possible values: <= 100 characters
Relationship to the primary insured, free text (e.g. Spouse, Child).
Possible values: <= 50 characters
Driver's license number.
2 letter code of the state that issued the license.
Possible values: <= 100 characters
Education, free text.
Possible values: <= 100 characters
Occupation, free text.
Possible values: <= 100 characters, Value must match regular expression .*\S.*
Driver's first name. Cannot be blank if sent.
Possible values: <= 100 characters, Value must match regular expression .*\S.*
Driver's last name. Cannot be blank if sent.
Responses
- 200
- 400
- 401
- 403
- 404
- 500
The updated driver.
- application/json
- Schema
- Example (from schema)
Schema
Driver id. Use it with PUT/DELETE /api/users/{userId}/drivers/{driverId}.
First name
Middle name
Last name
Date of birth, yyyy-MM-dd
Gender
Marital status
Relationship to the primary insured
Driver's license number
2 letter code of the state that issued the license
Education
Occupation
{
"id": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"dateOfBirth": "string",
"gender": "string",
"maritalStatus": "string",
"relationshipToInsured": "string",
"driversLicense": "string",
"driversLicenseState": "string",
"education": "string",
"occupation": "string"
}
Invalid parameters. Possible error codes
-
ERROR_INVALID_PARAMETERS
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Authorization error e.g. due to an invalid or missing API keys.
Forbidden. Possible error codes
-
ERROR_NO_PERMISSIONS_TO_RESOURCE
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
User or driver not found. Possible error codes
-
ERROR_USER_NOT_FOUND
-
ERROR_DRIVER_NOT_FOUND
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal error. Possible error codes
-
INTERNAL_SERVER_ERROR
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}